# ION PHONE

### Enhance Your Business Communication Productivity and Efficiency with Our Softphone and PBX Service
### *Experience the Ease of Unrestricted Communication*

In today's digital age, effective and efficient communication is the cornerstone of running a successful business. Our softphone and PBX service is here to help you achieve that.

[![npm version](https://img.shields.io/npm/v/ion-widget-phone.svg?style=flat-square)](https://www.npmjs.org/package/ion-widget-phone)
![npm bundle size](https://img.shields.io/bundlephobia/min/ion-widget-phone?style=flat-square)
[![jsDelivr hits (npm)](https://img.shields.io/jsdelivr/npm/hy/ion-widget-phone?style=flat-square)](https://www.jsdelivr.com/package/npm/ion-widget-phone)
![NPM License](https://img.shields.io/npm/l/ion-widget-phone?style=flat-square)
[![Static Badge](https://img.shields.io/badge/Docs-ION_PHONE-blue?style=flat-square)](https://ion-phone.vercel.app/)

### Benefits of Using Softphone and PBX Service
1.  **Boost productivity**

    Softphones empower you to make phone calls from anywhere, anytime, using any device connected to the internet. This allows you to stay connected with your team and your customers, even when you're on the go.

2.  **Enhance efficiency**

    PBX can automate many phone tasks, such as call forwarding, auto-attendants, and conferencing. This can save you time and money.

3.  **Reduce costs**

    Softphones and PBX can help you save money on phone bills by reducing long-distance call charges and phone hardware rental fees.

4.  **Increase scalability**

    Softphones and PBX can easily scale to meet the growing needs of your business.

### Key Features of Our Softphone and PBX Service

1. **HD voice quality**

    Enjoy crystal-clear and interference-free voice quality.

2. **Comprehensive calling features**

    Make voice and video calls, send instant messages, and host conferences.

3. **CRM integration**

    Integrate your softphone with your CRM to easily access customer information.

4. **Monitoring and reporting**

    Monitor your call activity and get detailed reports on phone usage.



### Installation
`npm install ion-widget-phone`

**Example usage:**

```js
import 'ion-widget-phone/style.css'
import ionPhone from 'ion-widget-phone'

var config = {
                credential:{
                    host    : "https://example.com/", 
                    token   : "example-token", 
                    userkey : "example-user",
                },
                setting:{       // optional
                    header: {
                        title: "ION Softphone",
                        color: "#9c27b0",
                        position: "left"
                    }
                }
            }

var phone = new ionPhone(config);
    
    phone.init();

    phone.on("call-status",(data)=>{
        console.log(data);
    })
```
<br/>
<div align="center" style="text-align:center; align:center; margin:0 auto">
    Presented By:
<br/>
<a href="https://ion-phone.vercel.app/" target="_blank">
<img src="https://ion-smile.vercel.app/profile.png" width=100/>
</a>
<br/>
<strong>Limitless Developer</strong>
</div>